import React from "react";
import { motion } from "framer-motion"
const Variants = {
    hover: {
        fill: '#5062d0',
    }
}

const Instagram = (props) => {
    const variants = props.animate ? Variants : {}

    return (
        <motion.svg
            style={{
                cursor: 'pointer'
            }}
            variants={variants}
            whileHover='hover'
            fill="#CBD2E4"
            xmlns="http://www.w3.org/2000/svg" width="26" height="25" viewBox="0 0 26 25">

            <path d="M16.928.257c2.277 0 4.424.876 6.045 2.468 1.621 1.59 2.514 3.698 2.514 5.933v7.684c0 2.235-.893 4.343-2.514 5.933-1.62 1.592-3.768 2.468-6.045 2.468H9.099c-2.277 0-4.425-.876-6.045-2.468C1.432 20.685.54 18.577.54 16.342V8.658c0-2.235.892-4.343 2.514-5.933C4.674 1.133 6.822.257 9.099.257zM13.013 6.02c-3.64 0-6.602 2.907-6.602 6.48 0 3.573 2.962 6.48 6.602 6.48 3.641 0 6.603-2.907 6.603-6.48 0-3.573-2.962-6.48-6.603-6.48zm0 1.435c2.835 0 5.141 2.263 5.141 5.045s-2.306 5.045-5.14 5.045c-2.835 0-5.141-2.263-5.141-5.045s2.306-5.045 5.14-5.045zm6.644-4.256c-.387 0-.766.156-1.039.43-.275.273-.431.653-.431 1.04s.156.766.431 1.04c.273.274.652.43 1.04.43.386 0 .766-.156 1.04-.43.273-.274.43-.653.43-1.04s-.157-.767-.43-1.04c-.274-.274-.654-.43-1.04-.43z" transform="translate(-194 -900) translate(76 55) translate(5 845) translate(113)" />

        </motion.svg>
    )
}

export default Instagram
